;;; -*- Lisp -*-
(defpackage :araneida-system (:use #:asdf #:cl))
(in-package :araneida-system)

(defsystem araneida
  :depends-on (db-sockets net-telent-date split-sequence)
  :version "0.69"
  :components ((:file "defpackage")
               (:module "utility"
                        :components ((:file "aif")
                                     (:file "lists")
                                     (:file "split")
                                     (:file "seqlet")
                                     (:file "base64" :depends-on ("seqlet"))
                                     (:file "strings")))
               (:file "db-sockets" :depends-on ("defpackage"))
	       (:file "araneida" :depends-on  ("db-sockets"))
               (:file "html")
               (:file "url-class")
               (:file "url" :depends-on ("utility" "url-class"))
               (:file "server-class")
               (:file "server" :depends-on ("server-class" "url-class"))
               (:file "exports"
                      :depends-on ("defpackage" "utility" "url" "handler"))
               (:file "request-class")
               (:file "request" :depends-on ("url" "request-class") )
               (:file "auth" :depends-on ("request"))
               (:file "static-file-handler" :depends-on ("handler" "request"))
	       (:file "file-request" :depends-on ("static-file-handler"))
               (:file "define-page" :depends-on ("request"))
	       (:file "handler" :depends-on ("defpackage"))
	       (:file "redirect-handler" :depends-on ("handler" ))
               (:file "daemon"
                      :depends-on
                      ("url" "handler" "defpackage" "exports" "request"))
               (:file "memoization")
               (:file "pattern-match" :depends-on ("memoization"))
	       (:static-file "NEWS")
	       (:module "doc"
			:components ((:html-file "examples")
				     (:html-file "faq")
				     (:html-file "handlers")
				     (:html-file "html")
				     (:html-file "index")
				     (:html-file "installation")
				     (:html-file "reference")
				     (:html-file "servers")
				     (:html-file "troubleshooting")
				     (:html-file "urls")
				     (:static-file "new-dispatch-model")
				     (:static-file "araneida"
						   :pathname "araneida.css")
				     (:static-file "PLAN")))
	       ))

