(in-package :cl-user)
(defpackage "EVENT"
  (:export add-fd-handler remove-fd-handler)
  (:shadowing-import-from #+cmu SYSTEM #+sbcl SB-SYS
			  add-fd-handler
			  remove-fd-handler))

(defpackage "ARANEIDA"
  (:nicknames "HTTP-SERVER" "HTTPSRV")
  (:export
   ;; daemon
   install-serve-event-handlers remove-serve-event-handlers
   ;; define-page
   define-page
   ;; exports
   export-server export-handler output-apache-conf
   ;; file-request
   *content-types* read-mime-types file-request-handler static-file-handler
   ;; handler
   install-handler uninstall-handler find-handler
   child-handlers handler dispatching-handler
   response-sent handle-request-response
   handle-request-authorization
   handle-request-authentication
   *root-handler*
   ;; redirect-handler
   redirect-handler redirect-location
   ;; html
   html html-escape html-stream search-html-tree
   ;; pattern-match
   define-patterns rewrite-tree
   ;; server
   server-base-url export-server server
   ;; request
   request request-url request-user request-original-url request-method
   request-socket request-stream request-session request-headers
   request-body request-base-url request-path-info request-header
   request-condition request-cookie
   request-send-headers request-send-error request-redirect   
   body-param body-params request-if-modified-since
   dispatch-request
   request-handled-by
   ;; url
   url url-scheme copy-url internet-url url-username url-password
   url-host url-port url-path url-query url-fragment urlstring
   urlstring-unescape
   http-url https-url httplike-url urlstring-escape  url-query-alist
   parse-urlstring make-url merge-url url-query-param
   ;; utilities
   split				;give in to the dark side, luke
   )
  (:shadowing-import-from #+sbcl :sb-pcl
			  #+cmu :pcl "CLASS-SLOTS" "SLOT-DEFINITION-NAME")
  (:use "SPLIT-SEQUENCE" "COMMON-LISP" ))

